Public Member Functions | Protected Attributes | Related Functions

# Clutter::Knot Class Reference

List of all members.

## Public Member Functions
| Knot (ClutterKnot* gobject, bool make_a_copy=true)
| Knot (const Knot& other)
Knot& | operator= (const Knot& other)
| ~Knot ()
void | swap (Knot& other)
ClutterKnot* | gobj ()
| Provides access to the underlying C instance.
const ClutterKnot* | gobj () const
| Provides access to the underlying C instance.
ClutterKnot* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
| Knot ()
| Knot (int x, int y)
int | get_x () const
void | set_x (int x)
int | get_y () const
void | set_y (int y)
void | set_xy (int x, int y)
## Protected Attributes
ClutterKnot* | gobject_
## Related Functions
(Note that these are not member functions.)
bool | operator== (const Knot& lhs, const Knot& rhs)
bool | operator!= (const Knot& lhs, const Knot& rhs)
void | swap (Knot& lhs, Knot& rhs)
Clutter::Knot | wrap (ClutterKnot* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

Clutter::Knot::Knot | ( | ClutterKnot * | gobject,
|  | bool | make_a_copy = `true` |
| ) |  |  | `[explicit]`

Clutter::Knot::Knot | ( | const Knot& | other | ) |

Clutter::Knot::~Knot | ( |  | ) |

Clutter::Knot::Knot | ( |  | ) |

Clutter::Knot::Knot | ( | int | x,
|  | int | y |
| ) |  |  |

## Member Function Documentation

int Clutter::Knot::get_x | ( |  | ) | const

int Clutter::Knot::get_y | ( |  | ) | const

const ClutterKnot* Clutter::Knot::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

ClutterKnot* Clutter::Knot::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

ClutterKnot* Clutter::Knot::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

Knot& Clutter::Knot::operator= | ( | const Knot& | other | ) |

void Clutter::Knot::set_x | ( | int | x | ) |

void Clutter::Knot::set_xy | ( | int | x,
|  | int | y |
| ) |  |  |

void Clutter::Knot::set_y | ( | int | y | ) |

void Clutter::Knot::swap | ( | Knot& | other | ) |

## Friends And Related Function Documentation

bool operator!= | ( | const Knot& | lhs,
|  | const Knot& | rhs |
| ) |  |  | `[related]`

Parameters:

  | lhs | The left-hand side
  | rhs | The right-hand side

Returns:
  The result

bool operator== | ( | const Knot& | lhs,
|  | const Knot& | rhs |
| ) |  |  | `[related]`

Parameters:

  | lhs | The left-hand side
  | rhs | The right-hand side

Returns:
  The result

void swap | ( | Knot& | lhs,
|  | Knot& | rhs |
| ) |  |  | `[related]`

Parameters:

  | lhs | The left-hand side
  | rhs | The right-hand side

Clutter::Knot wrap | ( | ClutterKnot * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

ClutterKnot* Clutter::Knot::gobject_`[protected]`

The documentation for this class was generated from the following file:

- cluttermm/types.h